### Function

# Camel NameValueArray new_sized

since: 3.24

#### Declaration [src]

    CamelNameValueArray*
    camel_name_value_array_new_sized (
      guint reserve_size
    )

#### Description [src]

Creates a new `CamelNameValueArray`, which has reserved `reserve_size` elements. This value doesn’t influence the camel_name_value_array_get_length(), which returns zero on the array returned from this function. The returned pointer should be freed with `camel_name_value_array_free()` when no longer needed.

Available since: 3.24

#### Parameters

`reserve_size`

  Type: `guint`

  An array size to reserve.

#### Return value

Type: `CamelNameValueArray`

A new `CamelNameValueArray`.

See: camel_name_value_array_new, camel_name_value_array_copy.

The caller of the function takes ownership of the data, and is responsible for freeing it.